[求助]
请教如何将2005的标题栏换成自己的标题栏?谢谢!reply
<P>Public Declare Function SetWindowText Lib "user32" Alias "SetWindowTextA" (ByVal hwnd As Long, ByVal lpString As String) As Long<BR>Public Declare Function GetParent Lib "user32" (ByVal hwnd As Long) As Long</P><P>Public Sub SetTitle(ByVal hwnd As Long, Optional ByVal title As String)<BR> If title = "" Then<BR> title = "明经通道 <A href="http://www.mjtd.com/" target="_blank" >http://www.mjtd.com</A>"<BR> End If<BR> SetWindowText hwnd, title<BR>End Sub</P>
<P>Public Sub Test_SetTitle()<BR> Dim hwnd As Long '&<BR> hwnd = GetParent(GetParent(ThisDrawing.hwnd))<BR> SetTitle hwnd, "Hello World!"<BR>End Sub</P> 能否再具体一些,谢谢! <P>这样还不具体?</P> 很具体了。另外请问一下,能不能通过命令行修改标题栏? mikewolf2k发表于2005-10-3 13:44:00static/image/common/back.gif很具体了。另外请问幌拢懿荒芡ü钚行薷谋晏饫福?lt;/DIV>(defun SetTitleBar (Str)
(setvar "USERS5" Str)
(vl-vbarun "h:/alin/SetTitleBar.dvb!Test_SetTitle")
(princ)
)Public Declare Function SetWindowText Lib "user32" Alias "SetWindowTextA" (ByVal hwnd As Long, ByVal lpString As String) As Long
Public Declare Function GetParent Lib "user32" (ByVal hwnd As Long) As LongPublic Sub SetTitle(ByVal hwnd As Long, Optional ByVal title As String)
If title = "" Then
title = "???? http://www.mjtd.com"
End If
SetWindowText hwnd, title
End SubPublic Sub Test_SetTitle()
Dim hwnd As Long '&
hwnd = GetParent(GetParent(ThisDrawing.hwnd))
SetTitle hwnd, ThisDrawing.GetVariable("USERS5")
End Sub
页:
[1]